## xplc-0.3.12.tar.gz

=== examples/simple-module-user/Makefile ===
# This file is example code for XPLC (http://xplc.sourceforge.net/),
# and is put into the public domain.

.PHONY: default clean

# the UNSTABLE flag is there because we agree to use interfaces that
# have not been frozen yet.
CPPFLAGS+=-DUNSTABLE -I../simple-module $(shell pkg-config xplc-0.3.12 --cflags)
LDFLAGS+=$(shell pkg-config xplc-0.3.12 --libs-only-L)

default: example

clean:
	rm -f example *~ *.o

example: $(patsubst %.cpp,%.o,$(wildcard *.cpp))
	$(LINK.cc) $^ -lxplc -lxplc-cxx -o $@

$(wildcard *.o): $(wildcard *.h ../simple-module/*.h)

=== examples/simple-module/Makefile ===
# This file is example code for XPLC (http://xplc.sourceforge.net/),
# and is put into the public domain.

.PHONY: default clean

# the UNSTABLE flag is there because we agree to use interfaces that
# have not been frozen yet.
CPPFLAGS+=-DUNSTABLE $(shell pkg-config xplc-0.3.12 --cflags)
LDFLAGS+=$(shell pkg-config xplc-0.3.12 --libs-only-L)

default: example.so

clean:
	rm -f example.so *~ *.o

%.so:
	$(LINK.cc) -shared $^ -lxplc-cxx -o $@

example.so: $(patsubst %.cpp,%.o,$(wildcard *.cpp))

$(wildcard *.o): $(wildcard *.h)

=== debian/changelog ===
xplc (0.3.12-1.1) NONE; urgency=low

  * Unofficial build from CVS.

 -- J. Random Hacker <jrhacker@example>  Wed,  7 Jul 2005 00:00:00 -0000

xplc (0.3.12-1) unstable; urgency=low

  * New upstream release.
  * Built for G++ 4.0.

 -- Simon Law <sfllaw@debian.org>  Wed,  6 Jul 2005 12:36:20 -0400

xplc (0.3.11-1) unstable; urgency=low

  * New Upstream release. (Closes: #286505)
  * Acknowledge NMU. (Closes: #290424)

 -- James Morrison <phython@debian.org>  Tue, 22 Mar 2005 22:57:10 -0500

xplc (0.3.10-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix for int size issues that break building on 64-bit platforms; not
    release-critical for this package, but is holding up RC bugfixes for
    packages that reverse-depend on xplc.  Thanks to Kurt Roeckx for the
    patch.  (Closes: #286505)
  * Invoke ldconfig as /sbin/ldconfig, fixing build failures when /sbin
    is not part of the path (as is the case on many third-party build
    systems).  Closes: #290424

 -- Steve Langasek <vorlon@debian.org>  Tue, 18 Jan 2005 03:57:10 -0800

xplc (0.3.10-3) unstable; urgency=low

  * Add a Build-Depends for debhelper, which I though cdbs pulled in
    automatically.  (Closes: Bug#283884)

 -- Simon Law <sfllaw@debian.org>  Thu,  2 Dec 2004 07:52:49 -0500

xplc (0.3.10-2) unstable; urgency=low

  * Install examples into libxplc-dev.

 -- Simon Law <sfllaw@debian.org>  Thu, 07 Oct 2004 15:02:12 -0400

xplc (0.3.10-1) unstable; urgency=low

  * New upstream release.  (Closes: Bug#281786)
  * New maintainer.
  * Renamed libxplc and libxplc-dev to reflect that they have unstable
    API and ABIs.

 -- Simon Law <sfllaw@debian.org>  Mon, 04 Oct 2004 18:45:49 -0400

xplc (0.3.9-1) unstable; urgency=low

  * New upstream release.

 -- Pierre Phaneuf <pp@ludusdesign.com>  Mon, 27 Sep 2004 19:25:31 +0000

xplc (0.3.8-1) unstable; urgency=low

  * New upstream release.

 -- Pierre Phaneuf <pp@ludusdesign.com>  Tue, 20 Jul 2004 21:32:32 +0000

xplc (0.3.7-1) unstable; urgency=low

  * New upstream release.

 -- Pierre Phaneuf <pp@ludusdesign.com>  Thu,  1 Jul 2004 20:37:52 +0000

xplc (0.3.6-1) unstable; urgency=low

  * New upstream release.

 -- Pierre Phaneuf <pp@ludusdesign.com>  Fri, 25 Jun 2004 18:50:16 +0000

xplc (0.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Pierre Phaneuf <pp@ludusdesign.com>  Fri, 21 May 2004 20:27:00 +0000

xplc (0.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Pierre Phaneuf <pp@ludusdesign.com>  Wed,  7 Apr 2004 15:03:24 -0400

xplc (0.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Pierre Phaneuf <pp@ludusdesign.com>  Sat, 20 Mar 2004 15:00:58 -0500

xplc (0.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Pierre Phaneuf <pp@ludusdesign.com>  Fri,  9 Jan 2004 10:01:00 -0500

xplc (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Made the libxplc-dev package depend on the libxplc package.

 -- Pierre Phaneuf <pp@ludusdesign.com>  Fri, 12 Dec 2003 16:18:23 -0500

xplc (0.3.0-1) unstable; urgency=low

  * Package xplc.

 -- James Morrison <phython@debian.org>  Fri, 24 Oct 2003 17:48:36 -0400

=== debian/control ===
Source: xplc
Section: libs
Priority: optional
Maintainer: Simon Law <sfllaw@debian.org>
Uploaders: James Morrison <phython@debian.org>
Build-Depends: cdbs, debhelper (>= 4.1.0)
Standards-Version: 3.6.1.0

Package: libxplc0.3.12
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Light weight component system
 XPLC ("Cross-Platform Lightweight Components") is a component system that
 will provide extensibility and reusability both inside and between
 applications, while being portable across platforms (and languages) and
 having the lowest possible overhead (both in machine resources and
 programming effort).

Package: libxplc0.3.12-dev
Section: libdevel
Architecture: any
Depends: libxplc0.3.12 (= ${Source-Version}), ${shlibs:Depends}
Description: Light weight component system (Development libraries and headers)
 XPLC ("Cross-Platform Lightweight Components") is a component system that
 will provide extensibility and reusability both inside and between
 applications, while being portable across platforms (and languages) and
 having the lowest possible overhead (both in machine resources and
 programming effort).

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# Specify the 'make check' target
DEB_MAKE_CHECK_TARGET := tests

# Determine the version of XPLC automatically
PKG_VERSION := $(shell awk -F, '/AC_INIT/{print $$2}' configure.ac \
		 | sed 's/[ 	]//g')

# Don't install the CVS/ and .cvsignore from the examples
DEB_INSTALL_EXAMPLES_libxplc$(PKG_VERSION)-dev := -XCVS -X.cvsignore

# Make sure the install files are in the right place
build/libxplc$(PKG_VERSION)::
	cp -f debian/libxplc.install debian/libxplc$(PKG_VERSION).install
cleanbuilddir/libxplc$(PKG_VERSION)::
	rm -f debian/libxplc$(PKG_VERSION).install
build/libxplc$(PKG_VERSION)-dev::
	cp -f debian/libxplc-dev.install debian/libxplc$(PKG_VERSION)-dev.install
	cp -f debian/libxplc-dev.examples debian/libxplc$(PKG_VERSION)-dev.examples
cleanbuilddir/libxplc$(PKG_VERSION)-dev::
	rm -f debian/libxplc$(PKG_VERSION)-dev.install
	rm -f debian/libxplc$(PKG_VERSION)-dev.examples

# Fix ldconfig-symlink-missing-for-shlib
binary-predeb/libxplc$(PKG_VERSION)::
	/sbin/ldconfig -v -n debian/libxplc$(PKG_VERSION)/usr/lib
